package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpInquiry对象",
   description = "询价表"
)
@TableName(
   value = "drp_inquiry",
   autoResultMap = true
)
public class DrpInquiry {
   @TableId
   private Long id;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("标题")
   private String title;
   @ApiModelProperty("开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("询价状态(1-待提交,2-已决标,3-报价进行中,4-未决标,5-已取消)")
   private Integer status;
   @ApiModelProperty("决标时间")
   private LocalDateTime bidTime;
   @ApiModelProperty("要求到货时间")
   private LocalDate requestArrivalTime;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("联系电话")
   @TableField(
      value = "phone"
   )
   private String phone;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("决标总价")
   private Integer bidTotalPrice;
   @ApiModelProperty("中标供应商id")
   private Long supplierId;
   @ApiModelProperty("删除标识")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("区域!")
   private String area;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public Long getId() {
      return this.id;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getStatus() {
      return this.status;
   }

   public LocalDateTime getBidTime() {
      return this.bidTime;
   }

   public LocalDate getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getAddress() {
      return this.address;
   }

   public Integer getBidTotalPrice() {
      return this.bidTotalPrice;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public String getArea() {
      return this.area;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setBidTime(final LocalDateTime bidTime) {
      this.bidTime = bidTime;
   }

   public void setRequestArrivalTime(final LocalDate requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setBidTotalPrice(final Integer bidTotalPrice) {
      this.bidTotalPrice = bidTotalPrice;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setArea(final String area) {
      this.area = area;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "DrpInquiry(id=" + var10000 + ", inquiryId=" + this.getInquiryId() + ", title=" + this.getTitle() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", status=" + this.getStatus() + ", bidTime=" + String.valueOf(this.getBidTime()) + ", requestArrivalTime=" + String.valueOf(this.getRequestArrivalTime()) + ", inquiryNotes=" + this.getInquiryNotes() + ", phone=" + this.getPhone() + ", linkMan=" + this.getLinkMan() + ", address=" + this.getAddress() + ", bidTotalPrice=" + this.getBidTotalPrice() + ", supplierId=" + this.getSupplierId() + ", delFlag=" + this.getDelFlag() + ", revision=" + this.getRevision() + ", crtime=" + String.valueOf(this.getCrtime()) + ", uptime=" + String.valueOf(this.getUptime()) + ", crby=" + this.getCrby() + ", upby=" + this.getUpby() + ", area=" + this.getArea() + ", areaId=" + this.getAreaId() + ")";
   }
}
